Bug 30286 - image creation fails due to lost DNS ability
image creation fails due to lost DNS ability
Status: CLOSED FIXED
Product: Univention Corporate Client (UCC)
Classification: Unclassified
Component: Image management
unspecified
Other Linux
: P5 normal
: UCC 2.0
Assigned To: Erik Damrose
Moritz Muehlenhoff
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-05 17:07 CET by Tobias Scherer
Modified: 2014-06-12 09:19 CEST (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias Scherer univentionstaff 2013-02-05 17:07:00 CET
on a memberserver the imagecreation fails with following error:

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
stop: Unable to connect to Upstart: Failed to connect to socket /com/ubuntu/upstart: Connection refused                                                                                          
Restarting NSCD:.                                                                                                                                                                                
Started "/usr/sbin/ucc-image -C -t /var/lib/univention-client-boot -c ucc-default-thinclient.cfg" at 2013-02-05 15:38:04                                                                         
The command "/usr/sbin/chroot /tmp/tmpdrOoh3/bootstrap apt-get --no-install-recommends install --yes --force-yes xserver-xorg-input-mouse" failed with the error code 100
Traceback (most recent call last):                                                                                                                                                                                       
  File "/usr/sbin/ucc-image", line 314, in <module>                                                                                                                                              
    _run_cmd(cmd_block, logfile_fd)                                                                                                                                                              
  File "/usr/sbin/ucc-image", line 59, in _run_cmd                                                                                                                                               
    raise RuntimeError(msg)                                                                                                                                                                      
RuntimeError: The command "/usr/sbin/chroot /tmp/tmpdrOoh3/bootstrap apt-get --no-install-recommends install --yes --force-yes xserver-xorg-input-mouse" failed with the error code 100

The former resolveable repositoryserver is not resolvable anymore at some point.

Full Log attached.
Comment 1 Tobias Scherer univentionstaff 2013-02-06 11:04:53 CET
The same behaviour also occurs on a DC Slave.
Comment 2 Tobias Scherer univentionstaff 2013-02-06 12:33:42 CET
After checking all DNS settings it appears to only occur if no DNS forwarder is set. 

Workaround:
ucr set dns/forwarder1=$(ucr get nameserver1)

tested on DC Slave and memberserver with univention-bind installed.
Comment 3 Moritz Muehlenhoff univentionstaff 2013-02-06 12:34:36 CET
We will document the workaround in the manual.
Comment 4 Erik Damrose univentionstaff 2014-05-12 13:57:43 CEST
In UCC 1 the buildserver resolv.conf was copied to the bootstrap directory. It gets overwritten during univention config registry installation. On a memberserver, DNS does then not work in the bootstrap-chroot.

The fix for ucc-image sets the ucr variable nameserver1 in the bootstrap environment during the image bootstrap.

r50152 ucc-image-toolkit 2.0.7-1.188.201405121353
r50154 changelog
Comment 5 Moritz Muehlenhoff univentionstaff 2014-05-14 08:11:38 CEST
Ok, I could successfully built a thin client image on UCC member server.
Comment 6 Moritz Muehlenhoff univentionstaff 2014-06-12 09:19:41 CEST
UCC 2.0 has been released:
 http://docs.univention.de/release-notes-ucc-2.0.html

If this error occurs again, please use "Clone This Bug".